Page MenuHomePhabricator

elementary: refactor selection manager to not use eina_promise_data_set.
ClosedPublic

Authored by cedric on Jan 4 2019, 5:59 PM.

Details

Summary

eina_promise_data_set is a misleading API and result in conflicted use by
multiple independent piece of code leading to bug and crash. It is also not
necessary and we can avoid using it completely.

Diff Detail

Repository
rEFL core/efl
Branch
T7530-devs/cedric/eina_promise_data_set
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 8674
cedric created this revision.Jan 4 2019, 5:59 PM
cedric requested review of this revision.Jan 4 2019, 5:59 PM
Harbormaster completed remote builds in B8677: Diff 18236.
zmike added a comment.Jan 9 2019, 9:37 AM

Can you add a small amount of detail to the commit logs for this entire stack so that there is some explanation in case we ever need to know what you were thinking when you wrote this series?

cedric updated this revision to Diff 18296.Jan 9 2019, 3:09 PM
cedric edited the summary of this revision. (Show Details)

Rebase and reword.

cedric updated this revision to Diff 18482.Jan 16 2019, 9:45 AM

Rebase.

zmike accepted this revision.Jan 16 2019, 10:44 AM
This revision is now accepted and ready to land.Jan 16 2019, 10:44 AM
This revision was automatically updated to reflect the committed changes.